List available recipient companies for a tenant
GET
/v2/tenant/{tenantKey}/company
const url = 'https://sender.api.kivra.com/v2/tenant/example/company';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sender.api.kivra.com/v2/tenant/example/company \ --header 'Authorization: Bearer <token>'NOTE: Access to this resource might be enabled via agreement.
This resource is used to list all companies that are eligible
for receiving Content from the specific Tenant.
The diff-id contained in the response header can be used to fetch added/removed
companies in subsequent requests to the “diff” endpoint described below.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantKey
required
string format: hexadecimal
The unique Key for a Tenant
Responses
Section titled “Responses”List of eligible company recipients
Media typeapplication/json
List of eligible company recipients, can be empty
Array<object>
object
vatnr
VatNumber
A Swedish VAT number (“momsregistreringsnummer”).
string
Example
[ { "vatnr": "SE556000475501" }]Headers
Section titled “Headers”diff-id
string
Example
3831CD15163421134211695294An ID that can be used in a subsequent request to
/v2/tenant/{tenantKey}/company/diff/{diffId} to fetch companies
that were added/removed since diffId was obtained